package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.BmProjectInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmProjectInfoMapper {
    public List<BmProjectInfo> getProjectInfoAll();

    public List<BmProjectInfo> getProjectInfo(BmProjectInfo bmProjectInfo);

    public int projectInfoAdd(BmProjectInfo bmProjectInfo);

    public void remove(Long[] proIds);

    public int updateBmProjectInfo(BmProjectInfo bmProjectInfo);

    public int deleteProjectInfoById(Long proId);
}
